phoenix-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Josh Elser <josh.el...@gmail.com>
Subject Re: Phoenix : Update protobuf-java and guava version
Date Sun, 01 May 2016 21:21:35 GMT
Hi Naveen,

The Protocol Buffer dependency on 2.5 is very unlikely to change in 
Phoenix as that is directly inherited from HBase (as you can imagine, 
these need to be kept in sync).

There are efforts, in both HBase and Phoenix, underway to provide 
shaded-jars for each project which would allow you to use whatever 
version you desire. I believe newer versions of HBase already have 
shaded client jars shipped -- it would just be a matter of making sure 
Phoenix can leverage them. I'd encourage you to follow along on those 
issues and provide nudging/help there.

The Phoenix-specific shading issue is 
https://issues.apache.org/jira/browse/PHOENIX-2535

- Josh

Naveen Nahata wrote:
> Hi,
>
> My application does have dependency on protobuf-java.version
> 3.0.0-beta-1 and guava.version 19.0, which also planning to use phoenix.
>
> Phoenix latest version uses older protobuf-java and guava version (
> protobuf-java.version 2.5 and guava.version 13.0.1 ). Made changes in
> phoenix code base to work with latest version.
>
> Please suggest how can i get code review done, and contribute same in
> phoenix code base ?
>
> Thanks & Regards,
> Naveen Nahata
>
>

Mime
View raw message